Skip to main content

Get project issues

GET 

/nevisadmin/api/v1/projects/:projectKey/issues

Required permission: VIEW_PROJECT on the project, or higher scope

Returns list of issues for corresponding projectKey.

  • If the requested project is not yet in the IssueService, it starts a ProjectValidation Job for the project with projectKey.
  • JobType is hardcoded to JobType.PROJECT_VALIDATION.

Severity level

  • ERROR: Indicates that something went wrong and needs to be fixed.
  • WARNING: Warns about a potential problem that was detected, but the system can continue.
  • INFO: Gives some information, but does not require any action.

Source type

Indicates where the issue happened: PROJECT, DEPLOYABLE_PATTERN, PATTERN, PROPERTY, HOST, FIELD, TENANT, VARIABLE, JOB.

Request

Responses

Success